class URL:

    @staticmethod
    def get_jw_login_url(host):
        return host + "cas/logon.action"

    @staticmethod
    def get_jw_info_url(host):
        return host + "STU_BaseInfoAction.do"

    @staticmethod
    def get_jw_token_url(host):
        return host + "custom/js/SetKingoEncypt.jsp"

    @staticmethod
    def get_jw_person_score_url(host):
        return host + "student/xscj.stuckcj_data.jsp"

    @staticmethod
    def get_jw_class_score_url(host, type):
        if type == 1:
            return host + "wjstgdfw/cjlr.ckxscj.fkcaskbjckcj_rptOrigina_data_exp.jsp"
        else:
            return host + "wjstgdfw/cjlr.ckxscj.fkcaskbjckcj_rptEffecy_data_exp.jsp"

    @staticmethod
    def get_jw_student_course_url(host):
        return host + "wsxk/xkjg.ckdgxsxdkchj_data.jsp?params="

    @staticmethod
    def get_jw_scholl_course_url(host, page):
        """
        学校开课查询地址
        :param host:
        :return: str
        """
        return host + "taglib/DataTable.jsp?currPageCount={}".format(page)

    @staticmethod
    def get_jw_student_test_url(host):
        return host + "taglib/DataTable.jsp?tableId=2538"

    @staticmethod
    def get_jw_student_table_url(host):
        return host + "student/wsxk.xskcb.jsp?params="

    @staticmethod
    def get_hq_room_info_url(xh):
        return "http://211.64.142.212/api/rest/student/stu-roominfo?stuno={}".format(xh)

    @staticmethod
    def get_hq_df_url(**params):
        if params.get("areaName") =="鱼山校区":
            return "http://hqsz.ouc.edu.cn/hydfysxq/dknhinfo/getDkNhinfoByFjhao?fjhao={}&xiaoqu=%E9%B1%BC%E5%B1%B1%E6%A0%A1%E5%8C%BA".format(params.get("roomid"))
        else:
            xiaoqu = {"崂山南海苑": 2,"崂山东海苑": 3, "崂山北海苑": 1}
            areaName = params.get("areaName")
            xiaoquid = xiaoqu.get(areaName)
            return "http://hqsz.ouc.edu.cn/hydf/kdroom/getRoomAmp?roomid={}&xiaoquid={}".format(params.get("roomid"), xiaoquid)
